Name: tar
Version: 1.15.1
Release: alt0.M24.1

Summary: A GNU file archiving program
License: GPL
Group: Archiving/Backup
Url: http://www.gnu.org/software/tar/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: http://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2
Source1: append.at

Patch0: tar-1.15.1-cvs-20050105-parse_opt.patch
Patch1: tar-1.15.1-cvs-20050113-name_size.patch
Patch2: tar-1.15.1-cvs-20050303-seekable.patch
Patch3: tar-1.15.1-cvs-20050303-newer-verbose.patch
Patch4: tar-1.15.1-cvs-20050512-pad.patch
Patch5: tar-1.15.1-cvs-20050613-is_avoided_name.patch
Patch6: tar-1.15.1-cvs-20050801-sparse-totals.patch
Patch7: tar-1.15.1-cvs-20051105-tests.patch
Patch8: tar-1.15.1-up-savedir.patch
Patch9: tar-1.15.1-cvs-20050622-xheader.patch
Patch11: tar-1.15.1-alt-parse_opt-Iy.patch
Patch12: tar-1.15.1-alt-texinfo.patch
Patch13: tar-1.15.1-alt-without-librt.patch
Patch14: tar-1.15.1-alt-contains_dot_dot.patch
Patch15: tar-1.15.1-rh-owl-unreadable-segfault.patch
Patch16: tar-1.15.1-mdk-optimize-ignored.patch
Patch17: tar-1.15.1-deb-doc.patch
Patch18: tar-1.15.1-deb-lone-zero-block-warning.patch
Patch19: tar-1.15.1-alt-warnings.patch
Patch20: tar-1.15.1-alt-tests.patch

Requires(post): %install_info
Requires(preun): %uninstall_info

BuildPreReq: cvs, help2man

Summary(ru_RU.KOI8-R):   GNU   

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
tar can also be used to add supplemental files to an archive and to
update or list files in the archive.  tar includes multivolume support,
automatic archive compression/decompression, the ability to perform
remote archives and the ability to perform incremental and full backups.

%prep
%setup -q
%__install -pm644 %_sourcedir/append.at tests/

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1

find -type f -name \*.orig -delete -print

%build
autoreconf -fisv
export tar_cv_path_RSH=%_bindir/ssh
%configure --bindir=/bin --with-rmt=/sbin/rmt
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build -k check}}}
%__bzip2 -9fk ChangeLog

%install
%__mkdir_p %buildroot{%_bindir,%_man1dir}
%makeinstall bindir=%buildroot/bin
%__ln_s ../../bin/%name %buildroot%_bindir/g%name
help2man %buildroot/bin/%name >%buildroot%_man1dir/%name.1
%find_lang %name

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files -f %name.lang
/bin/%name
%_bindir/g%name
%_mandir/man?/*
%_infodir/%name.info*
%doc AUTHORS ChangeLog.bz2 NEWS README THANKS TODO

%changelog
* Sun Sep 10 2006 Alexey Borovskoy <alb@altlinux.ru> 1.15.1-alt0.M24.1
- Backport to Master 2.4.

* Tue May 16 2006 Dmitry V. Levin <ldv@altlinux.org> 1.15.1-alt6
- Fixed build with gcc-4.1.0.

* Sat Feb 18 2006 Dmitry V. Levin <ldv@altlinux.org> 1.15.1-alt5
- Backported upstream fix for potential heap buffer overrun
  in handling extended headers (CVE-2006-0300).

* Wed Nov 16 2005 Dmitry V. Levin <ldv@altlinux.org> 1.15.1-alt4
- Backported savedir() fix from gnulib CVS.

* Sun Nov 13 2005 Dmitry V. Levin <ldv@altlinux.org> 1.15.1-alt3
- Backported a few fixes from tar CVS.

* Sun May 15 2005 Dmitry V. Levin <ldv@altlinux.org> 1.15.1-alt2
- Reviewed patches.
- Replaced broken mdk-doubleslash.patch with
  alt-contains_dot_dot.patch
- Applied fixes from Debian's tar package.
- Renamed patched according to our conventions, rediffed
  and renumbered them.
- Added missing tests/append.at and enabled test suit by default.
- Do not even build rmt.

* Fri Jan 14 2005 Ilya Evseev <evseev@altlinux.ru> 1.15.1-alt1
- Updated to 1.15.1
- specfile: added russian summary/description, changed URL's
- patchset changes:
   + rediff P1,P3,P21
   + remove P2,P11,P12,P22,P23,P31,P32 since they are in upstream now
   + replace P13 from 1.13.25-rh to 1.14-mdk, add P33 from Mdk
- Replaced pre-written manual page with help2man-generated one.
- /sbin/rmt is explicitly excluded from packaging
  because dump package provides better rmt implementation.

* Mon Sep 29 2003 Dmitry V. Levin <ldv@altlinux.org> 1.13.25-alt3
- Fixed symlink extraction bug (deb #149532).
- Fixed archive corruption in special cases (deb #126274).
- Updated package dependencies.

* Mon Jun 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1.13.25-alt2.1
- fix build in bte. no hard-compiled aclocal-1.6

* Sat Sep 28 2002 Dmitry V. Levin <ldv@altlinux.org> 1.13.25-alt2
- Replaced our dot-dot patch with better one from Owl.
- Fixed build with autoconf >= 2.53 (rh).
- Fixed argv NULL termination (rh).
- Don't include hardlinks to sockets and doors in a tar file (rh).
- Updated without_librt patch.

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.13.25-alt1
- 1.13.25, updated patches to new version.

* Sat Sep 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.13.22-alt1
- 1.13.22, updated patches to new version.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.13.19-ipl2mdk
- Merged RH and Owl patches.

* Thu Nov 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.13.18-ipl1mdk
- Merged RH and MDK patches.
- Fixed texinfo documentation.

* Tue Sep 26 2000 Dmitry V. Levin <ldv@fandra.org> 1.13.17-ipl6mdk
- Fix exit code (RH).

* Sun Apr  2 2000 Dmitry V. Levin <ldv@fandra.org>
- Merged RH patches.

* Sun Feb 20 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13.17-1mdk
- Make -y alias to -I and document it as obsoltes.
- 1.13.17.

* Tue Jan 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.13.11-3mdk
- call configure with LINGUAS unset.

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting -y support patchs.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split: back to the tar stable version for cassini.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.13.13.

* Thu Oct 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.13.12.

* Fri Sep 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.13.11

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.10

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.6

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.5

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.13.2
- french description

* Tue Jul 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.13.1

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.
- Patch to handle bzip2.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.2.64011.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add de locale
- some spec tweaks
- bzip2 man/info pages
- Mandrake adaptions
- update to 1.12.64010 to get the -y (--bzip2) option

* Mon Mar 08 1999 Michael Maher <mike@redhat.com>
- added patch for bad name cache.
- FIXES BUG 320

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/gtar symlink (change #421)

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump.
- Turn on nls.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>
- Fixed to include rmt
